This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 112694 - Severe data corruption in pdc20265 w/ LBA48 disk on channel 0
Severe data corruption in pdc20265 w/ LBA48 disk on channel 0
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
All Linux
high Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-28 16:37 EST by Christian Hechelmann
Modified: 2015-01-04 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for pdc202xx_old.c data corruption issue (511 bytes, patch)
2003-12-28 16:40 EST, Christian Hechelmann
no flags Details | Diff

  None (edit)
Description Christian Hechelmann 2003-12-28 16:37:54 EST
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; i686; , 
de_DE.ISO-8859-1, de_DE, de) 
 
Description of problem: 
The pdc202xx_old driver severly corrupts data on any device off a 
pdc20265 controller that needs LBA58 adressing on channel 0, and 
possibly on other devices on channel 1 because of unconditionally 
disabling LBA48 addressing on channel 0 and unconditionally enabling 
LBA48 addressing on channel 1 of any PDC20265 controller found in 
the system. (Just compare the "address" line in 
/proc/ide/ide?/hd?/settings for a large disk on channel 0 and 
channel 1 of the same PDC20265 controller. 
 
Version-Release number of selected component (if applicable): 
Any kernel before 2.4.23 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. connect a HD >137GB to channel 0 
2. make at least 2 filesystems one at the beginning and one crossing 
   or after the 137GB mark. 
3. mount filesystems and start copying data to the high one. 
4. watch it shred the other filesystem. 
     
 
Actual Results:  severe filesystem corruption 
 
Expected Results:  no corruption at all 
 
Additional info: 
 
See http://testing.lkml.org/slashdot.php?mid=330272 for discussion 
of this bug on LKML.
Comment 1 Christian Hechelmann 2003-12-28 16:40:55 EST
Created attachment 96717 [details]
Fix for pdc202xx_old.c data corruption issue
Comment 2 Bugzilla owner 2004-09-30 11:41:45 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.